1. Properties
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patters
    • Support and technical support
  • CRM
    • Properties
      • List properties
        GET
      • Properties
        GET
      • Customers
        POST
      • Companies
        POST
      • Work addresses
        POST
      • Customers
        PATCH
      • Companies
        PATCH
      • Work addresses
        PATCH
      • Properties
        DELETE
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
  • Sales
    • Opportunities
      • List opportunities
      • Opportunities
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Actions
      • Put on hold
      • Mark as free of charge
      • Mark as aborted
      • Change job stage
      • Mark as complete
      • Remove on hold
  • Settings
    • List titles
      GET
    • List customer types
      GET
    • List advertising types
      GET
    • List telephone types
      GET
    • List business units
      GET
    • List user groups
      GET
    • List opportunity pipelines
      GET
    • List opportunity stages
      GET
    • List provinces
      GET
    • List job description templates
      GET
  • Webhooks
    • Webhooks
    • Example PHP script
    • Webhooks
    • Webhooks
  1. Properties

Work addresses

Developing
PATCH
/customers/{propertyID}/workAddresses

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢204Success
Headers

This response does not have a body.
🟠400400 Bad request
🟠429429 Too many requests
🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/customers/1138/workAddresses' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "status": "Active",
    "contact": {
        "title": "Mr",
        "firstName": "23 June 1042 from api",
        "lastName": "23 June 1042",
        "telephone": "931.864.0534 x570",
        "mobile": "(208) 606-8645 x27842",
        "email": "Delmer21@yahoo.com"
    },
    "addressLine1": "23 June 1042",
    "addressLine2": "Suite 172",
    "addressLine3": "laboris cupidatat velit deserunt qui",
    "town": "Williamworth",
    "provinceID": 12,
    "postcode": "08469-3720",
    "vacant": "Yes",
    "buildingTypeID": 10,
    "UPRN": "cadfb6fe-f70c-4e05-b628-f7dd7efe32e8",
    "hasAfterSalesCareBeenTurnedOn": false
}'
Response Response Example
400 - Example 1
{
    "error": {
        "code": "string",
        "message": "string",
        "details": {
            "field": "string",
            "code": "string",
            "message": "string"
        }
    }
}
Modified at 2026-06-23 05:14:32
Previous
Companies
Next
Properties
Built with